Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions
Interface IPrintActionHelper

All Known Implementing Classes:
  EnhancedPrintActionHelper

public interface IPrintActionHelper

An interface to implement for bringing up the print dialog. See ModelerPrintActionHelper for an explanation on why I use it for print preview.

Method Summary
`void` `doPrint(IWorkbenchPart workbenchPart)` The method that brings up the print dialog

Method Detail

### doPrint

    public void doPrint(IWorkbenchPart workbenchPart)

  The method that brings up the print dialog

  Parameters:
    `workbenchPart` - the workbench part containing the diagram to print

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.